libmodule-depends-perl_0.16-3_all.deb


Advertisement

Description

libmodule-depends-perl - Perl module to identify the dependencies of a distribution

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libmodule-depends-perl_0.16-3_all.deb
Package name libmodule-depends-perl
Package version 0.16
Package release 3
Package architecture all
Package type deb
Category devel::lang:perl devel::library implemented-in::perl perl role::program works-with::software:source
Homepage https://metacpan.org/release/Module-Depends
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 12.48 KB
Installed size 34.00 KB
Module::Depends extracts module dependencies from an unpacked
distribution tree.
Module::Depends only evaluates the {MY,}META.{json,yml} files shipped with a
distribution. This won't be effective until all distributions ship such
files, so you should look at Module::Depends::Intrusive.

Alternatives

Package Version Architecture Repository
libmodule-depends-perl_0.16-3_all.deb 0.16 all Debian Main
libmodule-depends-perl - - -

Requires

Name Value
libclass-accessor-chained-perl -
libcpan-meta-perl -
libenv-sanctify-perl -
libfile-chdir-perl -
perl -
perl >= 5.13.10

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmodule-depends-perl_0.16-3_all.deb
Source Package libmodule-depends-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmodule-depends-perl deb package:
    # sudo apt-get install libmodule-depends-perl

Files

Path
/usr/share/doc/libmodule-depends-perl/TODO.Debian
/usr/share/doc/libmodule-depends-perl/changelog.Debian.gz
/usr/share/doc/libmodule-depends-perl/changelog.gz
/usr/share/doc/libmodule-depends-perl/copyright
/usr/share/man/man3/Module::Depends.3pm.gz
/usr/share/man/man3/Module::Depends::Intrusive.3pm.gz
/usr/share/perl5/Module/Depends.pm
/usr/share/perl5/Module/Depends/Intrusive.pm

Changelog

2016-09-17 - Niko Tyni <ntyni@debian.org>
libmodule-depends-perl (0.16-3) unstable; urgency=medium
* Team upload.
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* Change bugtracker URL(s) to HTTPS.
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
* Remove Ryan Niebur from Uploaders. Thanks for your work!
[ Niko Tyni ]
* Patch the test suite to escape braces in a regexp, fixing deprecation
warnings. (Closes: #826484)
* Patch the test suite to work without cwd in @INC. (Closes: #837142)
2015-06-08 - Niko Tyni <ntyni@debian.org>
libmodule-depends-perl (0.16-2) unstable; urgency=medium
* Team upload.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ Niko Tyni ]
* Declare the package autopkgtestable
* Add alternative dependencies on perl for dual-lived libcpan-meta-perl
* Update to Standards-Version 3.9.6
* Add explicit build dependency on libmodule-build-perl
2012-06-10 - intrigeri <intrigeri@debian.org>
libmodule-depends-perl (0.16-1) unstable; urgency=low
* Team upload.
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* debian/copyright: Replace DEP5 Format-Specification URL from
svn.debian.org to anonscm.debian.org URL.
[ intrigeri ]
* Refresh set-environment-variables.patch.
* Get refreshed cpan_meta.patch back.
* Bump Standards-Version to 3.9.3 (no change required).
* Update debian/copyright to nowadays standards, thanks to cme.
2011-06-03 - gregor herrmann <gregoa@debian.org>
libmodule-depends-perl (0.15-2) unstable; urgency=low
[ gregor herrmann ]
* Clean up the additional features added by our patches:
- Combine patches yaml_xs.patch, meta_json.patch, and
configure_test_requires.patch into new patch cpan_meta.patch. Update
META.json test case. Use CPAN::META for parsing META.yml and META.json.
- Drop support for test_requires for old META.yml syntax; test_requires
never existed in the CPAN metadata specification.
- Change (build) dependency from libyaml-libyaml-perl to
libcpan-meta-perl.
- Adjust long description (referred only to META.yml).
- Closes: #609351.
* Bump debhelper compatibility level to 8.
[ Maximilian Gass ]
* Bump Standards-Version to 3.9.2 (no changes necessary)
2010-12-17 - gregor herrmann <gregoa@debian.org>
libmodule-depends-perl (0.15-1) unstable; urgency=low
[ Ryan Niebur ]
* Take over for the Debian Perl Group
* debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
field (source stanza); Homepage field (source stanza);
${misc:Depends} to Depends: field. Changed: Maintainer set to Debian
Perl Group <pkg-perl-maintainers@lists.alioth.debian.org> (was:
James Bromberger <jeb@debian.org>).
* debian/watch: use dist-based URL.
* Switch to YAML::XS to support JSON META.ymls (Closes: #541159)
* Look at META.json too (Closes: #541164)
* look at configure_requires and test_requires as well
(Closes: #541165)
* use dh7
* set Standards-Version to 3.8.3
* fixup descriptions
* machine readable copyright format
* use Env::Sanctify to set some env variables in Intrusive
[ gregor herrmann ]
* debian/watch: remove call to uupdate.
* New upstream release: fixes "Dies when Makefile.PL doesn't return a true
value" (closes: #317061)
* Switch to source format 3.0 (quilt).
* debian/copyright: update years of upstream copyright and formatting.
* Add /me to Uploaders.
* Set Standards-Version to 3.9.1; remove ancient version from perl build
dependency.
* Refresh patches and add tests for two of them.
2009-05-04 - James Bromberger <jeb@debian.org>
libmodule-depends-perl (0.14-3) unstable; urgency=low
* Fix watch file (again???!).

See Also

Package Description
libmodule-extract-perl_0.01-2_all.deb base class for working with Perl distributions
libmodule-extract-use-perl_1.043-1_all.deb Perl module to extract which modules some code uses
libmodule-extractuse-perl_0.343-1_all.deb Perl module to find out modules used by the specified Perl source
libmodule-faker-perl_0.020-1_all.deb module to build fake dists for testing CPAN tools
libmodule-find-perl_0.13-1_all.deb module to find and use installed Perl modules
libmodule-implementation-perl_0.09-1_all.deb module for loading one of several alternate implementations of a module
libmodule-info-perl_0.37-1_all.deb Perl module providing information about Perl modules
libmodule-inspector-perl_1.05-2_all.deb integrated API for inspecting Perl distributions
libmodule-install-authorrequires-perl_0.02-1_all.deb declare author-only dependencies
libmodule-install-authortests-perl_0.002-2_all.deb designate tests only run by module authors
libmodule-install-autolicense-perl_0.10-1_all.deb automagically generate LICENSE files
libmodule-install-automanifest-perl_0.003-4_all.deb generate MANIFEST automatically
libmodule-install-contributors-perl_0.001-1_all.deb add an "x_contributors" section to your META.yml
libmodule-install-copyright-perl_0.009-1_all.deb package a COPYRIGHT file with a distribution
libmodule-install-doap-perl_0.006-1_all.deb generate META.yml data from DOAP
Advertisement
Advertisement